Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Gelöst] Digest verification failed
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
dekoding
n00b
n00b


Joined: 26 Jan 2015
Posts: 34

PostPosted: Sun Feb 08, 2015 1:32 pm    Post subject: [Gelöst] Digest verification failed Reply with quote

Guten morgen Liebe commy

Ich wollte heute mal mein System auf vorder man bringen und ich hab diese Meldung erhalten


Code:
sudo emerge --update --deep --with-bdeps=y --newuse world

Calculating dependencies \ * Digest verification failed:
 * /usr/portage/virtual/perl-Parse-CPAN-Meta/perl-Parse-CPAN-Meta-1.441.400.ebuild
 * Reason: Failed on SHA256 verification
 * Got: f7cae3e9bee881fd590fe5b4c93cf3c2ea733fdd32e35d35a7a8627c7075c82b
 * Expected: dd8eb48d0799789d275304d81178cd6e77f8ec33ed10a9f33d0370ae39e6344c


gut dachte ich mir machst du eben mal

Code:
sudo rm -r /usr/portage/virtual/perl-Parse-CPAN-Meta/ && sudo emerge --sync


ha nun dachte ich mir so hab dich ausgetrickst nehe denkste :P

von neu
Code:
sudo emerge --update --deep --with-bdeps=y --newuse world


und siehe da das selbe prob wieder habs auch mit webrsync versucht nehe kommt immer wieder hat wer eine idee ?

hier der gesamte bericht

Code:
2.61M  speedup is 75.11
rene@gentoo ~ $ sudo emerge --update --deep --with-bdeps=y --newuse world       Calculating dependencies \ * Digest verification failed:
 * /usr/portage/virtual/perl-Parse-CPAN-Meta/perl-Parse-CPAN-Meta-1.441.400.ebuild
 * Reason: Failed on SHA256 verification
 * Got: f7cae3e9bee881fd590fe5b4c93cf3c2ea733fdd32e35d35a7a8627c7075c82b
 * Expected: dd8eb48d0799789d275304d81178cd6e77f8ec33ed10a9f33d0370ae39e6344c
... done!
[ebuild  N     ] app-dicts/myspell-de-2013.12.06
[ebuild     U  ] perl-core/File-Temp-0.230.400-r1 [0.230.0]
[ebuild     U  ] virtual/perl-File-Temp-0.230.400-r2 [0.230.0-r1]
[ebuild  N     ] virtual/perl-version-0.990.200-r1
[ebuild  N     ] virtual/perl-Test-Simple-0.980.0-r6
[ebuild  N     ] virtual/perl-Test-Harness-3.260.0-r2
[ebuild  N     ] virtual/perl-Perl-OSType-1.3.0-r1
[ebuild  N     ] virtual/perl-Parse-CPAN-Meta-1.440.400-r1
[ebuild     U  ] dev-lang/perl-5.20.1-r4 [5.18.2-r2]
[ebuild     U  ] virtual/perl-File-Spec-3.480.0 [3.400.0-r2]
[ebuild     U  ] virtual/perl-Getopt-Long-2.420.0-r1 [2.390.0-r1]
[ebuild     U  ] virtual/perl-MIME-Base64-3.140.0-r1 [3.130.0-r4]
[ebuild  N     ] virtual/perl-CPAN-Meta-YAML-0.12.0
[ebuild     U  ] virtual/perl-IO-1.310.0 [1.280.0-r1]
[ebuild     U  ] virtual/perl-IO-Compress-2.64.0 [2.60.0-r1]
[ebuild     U  ] virtual/perl-Compress-Raw-Zlib-2.65.0 [2.60.0-r2]
[ebuild  N     ] virtual/perl-Text-ParseWords-3.290.0-r1
[ebuild  N     ] virtual/perl-Module-Metadata-1.0.19
[ebuild  N     ] virtual/perl-ExtUtils-ParseXS-3.240.0
[ebuild  N     ] virtual/perl-ExtUtils-Manifest-1.630.0-r1
[ebuild  N     ] virtual/perl-ExtUtils-Install-1.670.0
[ebuild  N     ] virtual/perl-ExtUtils-CBuilder-0.280.217
[ebuild  N     ] virtual/perl-JSON-PP-2.272.30
[ebuild  N     ] virtual/perl-Archive-Tar-1.960.0
[ebuild     U  ] virtual/perl-Encode-2.600.0 [2.490.0-r2]
[ebuild     U  ] virtual/perl-ExtUtils-MakeMaker-6.980.0 [6.660.0-r1]
[ebuild     U  ] virtual/perl-Digest-MD5-2.530.0-r2 [2.520.0-r2]
[ebuild  N     ] virtual/perl-CPAN-Meta-2.140.640
[ebuild   R    ] net-libs/neon-0.30.1  LINGUAS="de*"
[ebuild   R    ] media-gfx/exiv2-0.24-r1  LINGUAS="de*"
[ebuild   R    ] app-text/hunspell-1.3.3  LINGUAS="de*"
[ebuild   R    ] app-text/iso-codes-3.57  LINGUAS="de*"
[ebuild   R    ] net-libs/gnutls-3.3.10-r2  LINGUAS="de*"
[ebuild  N     ] app-i18n/man-pages-de-1.7
[ebuild   R    ] sys-apps/man-pages-3.75  LINGUAS="de*"
[ebuild   R    ] net-print/cups-2.0.1-r1  LINGUAS="-es*"
[ebuild   R    ] app-text/ghostscript-gpl-9.10-r2  LINGUAS="de*"
[ebuild     U  ] www-client/chromium-40.0.2214.111 [40.0.2214.91] LINGUAS="-am* -ar* -bg* -bn* -ca* -cs* -da* -el* -en_GB* -es* -es_LA* -et* -fa* -fi* -fil* -fr* -gu* -he* -hi* -hr* -hu* -id* -it* -ja* -kn* -ko* -lt* -lv* -ml* -mr* -ms* -nb* -nl* -pl* -pt_BR* -pt_PT* -ro* -ru* -sk* -sl* -sr* -sv* -sw* -ta* -te* -th* -tr* -uk* -vi* -zh_CN* -zh_TW*"
[ebuild   R    ] app-admin/system-config-printer-gnome-1.4.3-r1  LINGUAS="de*"
[ebuild   R    ] sys-auth/polkit-kde-agent-0.99.0-r1  LINGUAS="de*"
[ebuild   R    ] kde-misc/kde-gtk-config-2.2.1  LINGUAS="de*"
[ebuild   R    ] kde-misc/kscreen-1.0.2.1  LINGUAS="de*"
[ebuild   R    ] net-wireless/bluedevil-2.0_rc1  LINGUAS="de*"
[ebuild  N     ] perl-core/Module-Build-0.420.500  USE="{-test}"
[ebuild     U  ] virtual/perl-Module-Build-0.420.500-r1 [0.400.300-r1]
[blocks b      ] >perl-core/Module-Build-0.400.300-r999 (">perl-core/Module-Build-0.400.300-r999" is blocking virtual/perl-Module-Build-0.400.300-r1)           

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-lang/perl:0

  (dev-lang/perl-5.20.1-r4:0/5.20::gentoo, ebuild scheduled for merge) pulled in by
    =dev-lang/perl-5.20* required by (virtual/perl-Encode-2.600.0:0/0::gentoo, ebuild scheduled for merge)
    ^              ^^^^^                                                                                                                                         
    (and 20 more with the same problem)

  (dev-lang/perl-5.18.2-r2:0/5.18::gentoo, installed) pulled in by
    =dev-lang/perl-5.18* required by (virtual/perl-version-0.990.200-r1:0/0::gentoo, ebuild scheduled for merge)
    ^              ^^^^^                                                                                                                                               
    dev-lang/perl:0/5.18=[-build(-)] required by (dev-perl/File-BaseDir-0.30.0-r1:0/0::gentoo, installed)
                 ^^^^^^^^                                                                                                                   
    (and 41 more with the same problems)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


oder liegt es nur an dem dev-lang/perl:0 ?

##Edit###
Update:

nach emerge --sync

wurde das obrige prob gelöst

und die anderen perl prob habe ich so lösen können
Code:
perl-cleaner --reallyall --  -av
emerge -avuDN world --with-bdeps=y


und somit ist alles wieder am aktuellen stand der dinge =)
_________________
habt nach sicht ich leide unter starke legastheni.


Last edited by dekoding on Sun Feb 08, 2015 2:59 pm; edited 1 time in total
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3626
Location: Germany

PostPosted: Sun Feb 08, 2015 1:47 pm    Post subject: Reply with quote

Das perl-Parse-CPAN-Meta-1.441.400.ebuild wurde erst vor wenigen Minuten geändert. Vermutlich sind diese Änderungen noch nicht auf allen Mirrors verfügbar.
Normal sollte das Manifest so in ordnung sein.
Hab ein wenig Geduld, und mache in ein/zwei Stunden noch mal ein "emerge --sync"
Back to top
View user's profile Send private message
dekoding
n00b
n00b


Joined: 26 Jan 2015
Posts: 34

PostPosted: Sun Feb 08, 2015 1:52 pm    Post subject: Reply with quote

aso okay Josef.95 also lag das nun doch nicht an meinen gentoo =)

Dann werde ich deinen Rat mal Befolgen *zwinker*

und danke dir aufs neu für deine netten Tipps

ich lass denn Status noch auf Offen man weiß ja nie xD
_________________
habt nach sicht ich leide unter starke legastheni.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum